﻿using System;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace HashCalculator.GUI
{
    class OpenFileDialogEventArgs : EventArgs
    {
        public string Title { get; }
        public IEnumerable<(string Extension, string? Description)> Filters { get; }
        public Task<string?> Result { get; set; }

        public OpenFileDialogEventArgs(string title, IEnumerable<(string Extension, string? Description)> filters)
        {
            Title = title;
            Filters = filters;
            Result = Task.FromResult(null as string);
        }
    }
}
